﻿using UnityEngine;
using System.Collections;

public class ExplosionScript : MonoBehaviour
{
    Material material;
    int frame = 0;
    public int maxFrames = 8;
	public int frameMult = 3;

    // Use this for initialization
    void Start()
    {
        material = GetComponent<MeshRenderer>().material;

    }

    // Update is called once per frame
    void Update()
    {
        frame++;
		if (frame >= maxFrames * frameMult)
        {
            Destroy(this.gameObject);
        }
		material.SetFloat("_Frame", (float)(int)(frame / frameMult));
    }
}
