﻿using UnityEngine;
using System.Collections;

[ExecuteInEditMode]
public class OpacityChanger : MonoBehaviour {
    [Range(0.0f, 1.0f)]
    public float opacity;

    Material material;
	// Use this for initialization
	void Start () {
        material = GetComponent<MeshRenderer>().sharedMaterial;
	}
	
	// Update is called once per frame
	void Update () {
        Color c = material.GetColor("_Color");
        c.a = opacity;
        material.SetColor("_Color", c);

	}
}
