﻿using UnityEngine;
using System.Collections;

public class PactMaker : MonoBehaviour {
    public int frame = 0;
    bool active = false;
    public AudioSource audio;
    public GameObject white;
    public OpacityChanger blackOpacity;
    public GameObject secondFrame;

    void OnMouseDown()
    {
        active = true;
        audio.Play();
    }

    void Update()
    {
        if (Input.anyKeyDown)
        {
            OnMouseDown();
        }
        if (!active) return;
        frame++;
        if (frame < 5)
        {
            white.SetActive(true);
        }
        else
        {
            white.SetActive(false);
            GetComponent<MeshRenderer>().enabled = false;
            secondFrame.SetActive(true);
        }

        if (frame > 100)
        {
            float k = (float)(frame - 100) / 180.0f;
            blackOpacity.opacity = k;
        }
        if (frame > 330)
        {
            Application.LoadLevel("Controls");
        }
    }
}
