﻿using UnityEngine;
using System.Collections;

public class StaticAnimationController : MonoBehaviour {
    public Material[] materials;
    public int fskip = 8;
    int frame;
    int animFrame;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        frame++;
        if (frame % fskip == 0)
        {
            animFrame++;
            foreach (Material material in materials)
            {
                material.SetFloat("_Frame", animFrame);
            }
        }
	}
}
