﻿using UnityEngine;
using System.Collections;

public class FloorSpearObstacleScript : ObstacleScript {
    float acc = 0;
    public bool active = false;
    Vector3 basePos;
    public float offset = 2.2f;
    public float sinMultiplier = 1.0f;

    public void Awake()
    {
        basePos = this.transform.localPosition;
    }

    public override void Trigger()
    {
        active = !active;
		if (!active) {
			this.transform.localPosition = basePos;
		}
    }
	
	// Update is called once per frame
	void Update () {
        if (active)
        {
            acc += Time.deltaTime * 5.0f;
            this.transform.localPosition = Mathf.Abs(Mathf.Sin(acc * sinMultiplier)) * this.transform.up * offset + basePos;
        }
	}
}
