﻿using UnityEngine;
using System.Collections;

public class AutoThrow : MonoBehaviour {
    public float minForce = 10.0f;
    public float maxForce = 100.0f;

	// Use this for initialization
	void Start () {
        GetComponent<Rigidbody2D>().AddTorque(Random.Range(-80.0f, 80.0f));
        float angle = Random.Range(0.0f, 360.0f);
        float force = Random.Range(minForce, maxForce);
        GetComponent<Rigidbody2D>().AddForce(this.transform.right * force * -0.4f);
        GetComponent<Rigidbody2D>().AddForce(new Vector2(Mathf.Cos(angle) *force, Mathf.Sin(angle))*force);
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
