﻿using UnityEngine;
using System.Collections;

public class MobScript : MonoBehaviour
{
    PlayerScript player;
    public float speed = 0.05f;
	public float playerSpeedMultiplier = 2.0f;

	// Use this for initialization
    void Start()
    {
        player = PlayerScript.Self;
	}
	
	// Update is called once per frame
	void Update () {
        if (PlayerScript.Self.lives > 0)
        {
            this.transform.Translate(speed + speed * (player.GetNormalizedDistanceToMob() - 0.3f) * playerSpeedMultiplier, 0, 0);
        }
	}
}
