﻿using UnityEngine;
using System.Collections;

public class ParallaxScript : MonoBehaviour {
    public float multiplier = 0.2f;
    Material material;

	// Use this for initialization
	void Start () {
        material = GetComponent<MeshRenderer>().sharedMaterial;
	}
	
	// Update is called once per frame
	void Update () {
        if (PlayerScript.Self.lives > 0) material.mainTextureOffset -= Vector2.left * multiplier * 0.01f * PlayerScript.Self.GetNormalizedDistanceToMob();
	}
}
