﻿using UnityEngine;
using System.Collections;
using System;

[Serializable]
public struct ObstacleStep
{
    public float delayInSeconds;
    public ObstacleScript obstacleToTrigger;
}

public class ObstacleTriggerScript : MonoBehaviour {
    public ObstacleStep[] obstaclesToTrigger;
    static int id;

    public void Awake()
    {
        GetComponent<MeshRenderer>().enabled = false;
    }

    public void Trigger()
    {
        GameObject go = new GameObject();
        go.name = "Trigger#" + id++;
        go.AddComponent<TriggeringObstacles>().Initialize(obstaclesToTrigger);
    }
}
