﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class TriggeringObstacles : MonoBehaviour {
    float acc;
    LinkedList<ObstacleStep> steps;

    public void Initialize(ObstacleStep[] steps)
    {
        this.steps = new LinkedList<ObstacleStep>(steps);
    }


	
	// Update is called once per frame
	void Update () {
        if (acc >= steps.First.Value.delayInSeconds)
        {
            acc -= steps.First.Value.delayInSeconds;
            steps.First.Value.obstacleToTrigger.Trigger();
            steps.RemoveFirst();
        }
        if (steps.Count == 0)
        {
            Destroy(this.gameObject);
        }
        acc += Time.deltaTime;
	}
}
